/*
   audio/pcm.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include <stdlib.h>
#include <string.h>

#include "audio/pcm.h"
#include "audio/wav.h"

namespace audio
{

PCM::PCM(unsigned int samplerate, unsigned int bitspersample, unsigned int channels, size_t size)
{
	pcm_bitspersample = bitspersample;
	pcm_samplerate = samplerate;
	pcm_size = size;
	pcm_channels = channels;

	pcm_data = (unsigned char *) malloc(pcm_size);
	clear();
}

PCM::~PCM()
{
	free(pcm_data);
}

void PCM::clear()
{
	memset(pcm_data, 0, pcm_size);
}

}
