/*
   base/cargo.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_BASE_CARGO_H__
#define __INCLUDED_BASE_CARGO_H__

#include "core/info.h"

namespace game
{
class Cargo : public core::Info {

public:
	Cargo();
	~Cargo();

	void buy(core::EntityControlable *buyer, core::Entity *seller, const int amount);
	
	void sell(core::EntityControlable *seller, core::Entity *buyer, const int amount);
	
	/* -- static functions -- */
	static core::InfoType *cargo_infotype;
	
	static Cargo *find(const std::string & label);
	
	static bool init();
	
	static void list();
};

} // namespace game

#endif // __INCLUDED_BASE_CARGO_H__
