/*
   intro/convoy.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_INTRO_CONVOY_H__
#define __INCLUDED_INTRO_CONVOY_H__

#include <list>

#include "core/entity.h"
#include "math/color.h"

namespace intro
{

/* ---- class Member ----------------------------------------------- */

class Member : public core::EntityControlable
{
public:
	Member(std::string const &model);
	~Member();

	void frame(float seconds);
};

/* ---- class Convoy ----------------------------------------------- */

class Convoy : public core::EntityDynamic
{
public:
	Convoy(core::Zone *zone);
	~Convoy();

	void add(const char *model);
	void add(const std::string &model);

	virtual void frame(float seconds);

private:
	typedef std::list<Member *> Members;
	Members		convoy_members;
};

}

#endif // __INCLUDED_INTRO_CONVOY_H__

