/*
   render/sky.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_RENDER_SKY_H__
#define __INCLUDED_RENDER_SKY_H__

#include <string>

namespace render 
{

class Sky {
public:

	static void unload();
	
	static void draw(const std::string & name, const float wireframe = false);
	
private:
	
	static size_t sky_texture_up;
	static size_t sky_texture_down;
	static size_t sky_texture_left;
	static size_t sky_texture_right;
	static size_t sky_texture_front;
	static size_t sky_texture_back;
	
	static std::string sky_name;
};

} // namespace render
#endif // __INCLUDED_RENDER_SKY_H__